package nextapp.echo.test;

import nextapp.echo.EchoInstance;
import junit.framework.TestCase;

/**
 * <code>TestCase</code> for <code>nextapp.echo.Component</code>. 
 */
public class EchoInstanceTest extends TestCase {

    /**
     * Tests setting active (ThreadLocal) <code>EchoInstance</code>.
     */
    public void testActivation() {
        assertNull(EchoInstance.getEchoInstance());
        HelloWorldApp app = new HelloWorldApp();
        assertNull(EchoInstance.getEchoInstance());
        app.markActive(true);
        assertTrue(app == EchoInstance.getEchoInstance());
        app.markActive(false);
        assertNull(EchoInstance.getEchoInstance());
    }
}
